function init_chaleng_1()
  enable_buy_vegetation_action("fialka_1; lotos_1; orhideya_1; muholovka_1", g_game)

  reset_mark_action("cant_buy_water",g_game) 
  reset_mark_action("cant_sell_items",g_game)
  set_mark_action("shop_dropped_bug_items",g_game)
  set_mark_action("timed_bouquet_enabled",g_game)
  set_mark_action("shop_ridges",g_game)
  set_mark_action("shop_vegetation",g_game)

  set_mark_action("product_storage_1",g_game)
  set_mark_action("product_storage_2",g_game)
  set_mark_action("product_storage_3",g_game)
  set_mark_action("product_storage_4",g_game)
  
  set_mark_action("water_storage_1",g_game)
  set_mark_action("water_storage_2",g_game)
  set_mark_action("water_storage_3",g_game)
  set_mark_action("water_storage_4",g_game)

  set_mark_action("well_1",g_game)
  set_mark_action("well_2",g_game)
  set_mark_action("well_3",g_game)
  set_mark_action("well_4",g_game)

  set_mark_action("have_global_shop",g_game)

  add_items_action("money", 30, g_game)

  enable_farm_action("location_1", g_game)
  enable_buy_water_action(true, g_game)
  set_bouquets_count_action("location_1", 4, g_game)

  add_vegetation_action("fialka_1", g_game);
  add_vegetation_action("fialka_1", g_game);

  set_decoration_level_action("robin_relax", "location_1", 1, g_game);
  enable_helper_action(g_game);

  print("init_chaleng_1() done")
end

function init_chaleng_2()
  disable_buy_vegetation_action("fialka_1; lotos_1; orhideya_1; muholovka_1", g_game)
  set_mark_action("have_global_shop",g_game)
  reset_mark_action("cant_buy_water",g_game) 
  reset_mark_action("cant_sell_items",g_game)
  set_mark_action("shop_dropped_bug_items",g_game)
  set_mark_action("timed_bouquet_enabled",g_game)
  
  set_mark_action("product_storage_1",g_game)
  set_mark_action("product_storage_2",g_game)
  set_mark_action("product_storage_3",g_game)
  set_mark_action("product_storage_4",g_game)
  
  set_mark_action("water_storage_1",g_game)
  set_mark_action("water_storage_2",g_game)
  set_mark_action("water_storage_3",g_game)
  set_mark_action("water_storage_4",g_game)

  set_mark_action("well_1",g_game)
  set_mark_action("well_2",g_game)
  set_mark_action("well_3",g_game)
  set_mark_action("well_4",g_game)

  add_items_action("money", 100, g_game)

  enable_farm_action("location_1", g_game)
  enable_buy_water_action(true, g_game)
  set_bouquets_count_action("location_1", 4, g_game)
  set_mark_action("shop_vegetation",g_game)

  set_ridges_action(6, 2, g_game);

  add_vegetation_action("fialka_1", g_game);
  add_vegetation_action("fialka_1", g_game);

  add_vegetation_action("lotos_1", g_game);
  add_vegetation_action("lotos_1", g_game);

  add_vegetation_action("orhideya_1", g_game);
  add_vegetation_action("orhideya_1", g_game);
  
  set_decoration_level_action("robin_relax", "location_1", 1, g_game);
  enable_helper_action(g_game);

  print("init_chaleng_2() done")
end

function init_chaleng_3()
  enable_buy_vegetation_action("peshernik_2; svetlyanka_2; kristalit_2; cover_1", g_game)

  reset_mark_action("cant_buy_water",g_game) 
  reset_mark_action("cant_sell_items",g_game)
  set_mark_action("shop_dropped_bug_items",g_game)
  set_mark_action("timed_bouquet_enabled",g_game)
  set_mark_action("shop_ridges",g_game)
  set_mark_action("shop_vegetation",g_game)
  set_mark_action("have_global_shop",g_game)
  set_mark_action("product_storage_1",g_game)
  set_mark_action("product_storage_2",g_game)
  set_mark_action("product_storage_3",g_game)
  set_mark_action("product_storage_4",g_game)
  
  set_mark_action("water_storage_1",g_game)
  set_mark_action("water_storage_2",g_game)
  set_mark_action("water_storage_3",g_game)
  set_mark_action("water_storage_4",g_game)

  set_mark_action("well_1",g_game)
  set_mark_action("well_2",g_game)
  set_mark_action("well_3",g_game)
  set_mark_action("well_4",g_game)

  add_items_action("money", 500, g_game)

  enable_farm_action("location_2", g_game)
  enable_buy_water_action(true, g_game)
  set_bouquets_count_action("location_2", 4, g_game)

  enable_helper_action(g_game);

  add_vegetation_action("peshernik_2", g_game);
  print("init_chaleng_3() done")
end

function init_chaleng_4()
  enable_buy_vegetation_action("peshernik_2; svetlyanka_2; kristalit_2; cover_1", g_game)

  reset_mark_action("cant_buy_water",g_game) 
  reset_mark_action("cant_sell_items",g_game)
  set_mark_action("shop_dropped_bug_items",g_game)
  set_mark_action("timed_bouquet_enabled",g_game)
  set_mark_action("shop_ridges",g_game)
  set_mark_action("shop_vegetation",g_game)

  set_mark_action("product_storage_1",g_game)
  set_mark_action("product_storage_2",g_game)
  set_mark_action("product_storage_3",g_game)
  set_mark_action("product_storage_4",g_game)
  
  set_mark_action("water_storage_1",g_game)
  set_mark_action("water_storage_2",g_game)
  set_mark_action("water_storage_3",g_game)
  set_mark_action("water_storage_4",g_game)

  set_mark_action("well_1",g_game)
  set_mark_action("well_2",g_game)
  set_mark_action("well_3",g_game)
  set_mark_action("well_4",g_game)

  add_items_action("money", 50, g_game)

  enable_farm_action("location_2", g_game)
  enable_buy_water_action(true, g_game)
  set_bouquets_count_action("location_2", 4, g_game)

  enable_helper_action(g_game);
  add_vegetation_action("peshernik_2", g_game);
  set_mark_action("have_global_shop",g_game)
  print("init_chaleng_4() done")
end

function chaleng_3_can_be_done()
  if (g_game == nil) then
    return false
  end

  if (in_screen("location_2", "shop_screen_farm", g_game)) then
    return true
  end

  return false  
end

function init_chaleng_2_loop()
    if (g_game:day() ~= 30) then
      g_game:current_farm():set_quality_increse(g_game:day() * 20)
    end
end